Subject: bug#77640: [platform-testers] new snapshot available: gzip-1.13.56-e549

From: Paul Eggert <[email-masked]>
Date: Tue, 8 Apr 2025 15:45:29 -0700

On 4/8/25 14:16, Nelson H. F. Beebe wrote:
> Thanks for this analysis of the gzip-1.13.56-e549 test failures on
> DragonFlyBSD 6.4.0:
> If you can concoct a small C program that is likely to be runnable
> across a range of systems, then I'll be happy to configurize it, and
> then do tests builds on our test farm.

Since I'm guessing about the bug, it'd likely be more efficient to see 
what system calls the failing gzip is executing, before writing a small 
C program. Please run this:

   mkdir d
   echo >d/f
   chmod a-w d
   LC_ALL=C truss -o gzip.truss ./gzip d/f

and then look at the tail of gzip.truss. Here's what I see in gzip.truss 
on Solaris 10 with bleeding-edge gzip:

lwp_sigmask(SIG_SETMASK, 0x60005003, 0x00000000) = 0xFFBFFEFF [0x0000FFFF]
openat64(3, "f.gz", O_WRONLY|O_CREAT|O_EXCL, 0600) Err#13 EACCES 
[file_dac_write]
lwp_sigmask(SIG_SETMASK, 0x00000000, 0x00000000) = 0xFFBFFEFF [0x0000FFFF]
fstat64(2, 0xFFBFE9A0)                          = 0
write(2, "\n g z i p :   d / f . g".., 33)      = 33
_exit(1)